We are pleased to announce the release of Zen Cart v1.5.6

Download available here: http://sourceforge.net/projects/zencart/files/

Minimum Requirements
Zen Cart v1.5.6 requires a minimum of the following:

  • PHP 7.3 is recommended, but it "can" work with PHP 5.5 or newer
    (Note: PHP versions older than 5.6 are deprecated and no longer supported by PHP … You REALLY should be using PHP 7.1 as a minimum, for both security and speed benefits.)
  • MySQL 5.1 – 5.7
  • Apache 2.2 – 2.4
  • Apache configured with AllowOverride set to either ‘All’ or at least both ‘Limit’ and ‘Indexes’ parameters, and preferably the ‘Options’ parameter as well.
  • PHP configured to support CURL with OpenSSL
  • Server’s CURL and OpenSSL configured to use the latest modern TLS capabilities

Nginx is supported. IIS is not.

CHANGELOG – List of Changed Files
For a list of files that have been changed since v1.5.5, see the changed_files-v1-5-6.html document, located online or in the /docs/ folder of the downloaded zip.

What’s New In v1.5.6:
The most notable improvements and bugfixes in v1.5.6 since v1.5.5 include:

  • Core – Updated dozens of files for compatibility with PHP 7.2 and also 7.3
  • Admin – Sales-Report graphs on Admin dashboard
  • Checkout – customer confirmation emails now include customer delivery telephone number
  • Checkout – Square Payment support is now built-in. Start taking credit card payments in just 5 minutes! See www.zen-cart.com/partners/square_setup
  • Admin – Reworded "in stock"/"out of stock" to "enabled"/"disabled" on product-edit pages due to popular request
  • Admin – Most of the Admin pages have received styling updates for consistency and improved support for smaller screens (credits @Zen4All)
  • Admin – Admin pages now show their name in browser tabs, instead of generic "Admin"
  • Admin – Order pages now have some observer hooks to allow plugins to display "more data" with less code-changes
  • Admin – GV Queue indicator in Admin Header bar can be enabled/disabled in GV Module settings
  • Coupon new features added: search, export, reactivate, delete duplicates, clone existing coupons
  • Coupons can now be restricted to amount of an order or of a specific product
  • Coupons can now be restricted to customers having a specified number of previous purchases
  • Coupons can now be restricted to products not on sale
  • Coupons restrictions can now be bulk-added via manufacturer filter
  • Coupon Usage Report added
  • Template – CSS spans added around product-qty min/max/unit output, so that these items can be selectively hidden if needed. (Credits @lat9)
  • Template – Compatibility updates to accommodate OnePageCheckout plugin integration
  • Core: Added language-change notifier hooks
  • Enhancement – Updated database to store more order-related data for easier order-reconstruction. This can help allow plugins to do more with completed order details.
  • Enhancement – File-Uploading now gives more detailed feedback about failures related to invalid file types.
  • Fixed – date display on Admin warning about log data is now formatted with store’s default date format
  • Mobile – Updated embedded MobileDetect to latest version
  • Email – Updated embedded PHPMailer to latest version
  • Utility – CurlTester has more links to external diagnostic tools, including TLS Testing verification
  • Utility – Plugin version-check utility optimized to allow specific version-comparisons, and adapt to timeouts more quickly.
  • DB: Remove unused basket ‘final_price’ field from database
  • Removed old sagepay_form payment module, and old authorizenet_echeck payment module
  • All known v1.5.5 bugfixes and security fixes are included in v1.5.6
  • … and numerous other small improvements to make things work faster, sleeker, smarter and be easier to use

UPGRADE NOTES

How To Upgrade A Zen Cart Site
The way DrByte does upgrades is described in this blog post: https://www.zen-cart.com/entry.php?3…d-of-upgrading

Important Note about CONFIGURE.PHP file changes introduced in v155!
The contents of configure.php have changed (to be simplified) … and they’re MUCH SMALLER now!
The dist-configure.php shows the simplified contents, and zc_install will generate the leaner files (when doing fresh installs).
Also, zc_install will upgrade your configure.php files to the new format as long as the files are writable by your server’s PHP.

A NOTE ABOUT THE TEMPLATE, when upgrading
While Zen Cart v1.5.5 added a newer "responsive_classic" template, we STRONGLY recommend that upgraders first upgrade the site using everything (including template_default) EXCEPT the responsive_classic template contents.
THEN, once the upgraded site is working properly you can consider what changes you might want to make to your own active template.

(Important notes about template_default are shown below)

AGAIN: The responsive_classic template should NOT be implemented immediately as part of an upgrade; it should be a separate step … if it is even used at all. IT IS NOT NECESSARY TO USE responsive_classic ON YOUR EXISTING SITE, AND YOU SHOULD UPGRADE THE REST OF YOUR SITE FIRST BEFORE ATTEMPTING TO CONVERT/ADAPT IT TO YOUR USE.

Notes about changes to TEMPLATE_DEFAULT
If you are upgrading from v1.5.4 or older, please see the important notes about template changes in the v1.5.5 release announcement!!!

NOTE:
Many people have asked about the "missing ?> at the end of some PHP files".
This is INTENTIONAL, and explained here: What about the missing ?> at the end of some PHP files?
It is NOT an error in the files or the download.

BUGS?
If you have questions about upgrading, please post in the "Upgrading to v1.5.x" section of the forum.

If you have found an actual bug in the code, please post details of it in the Bug Reports section of the forum.

Solutions to any confirmed bugs will be posted in Known bugs and fixes for v1.5.6

FAQ:
Q: "This was released in December. Should I update now, before Christmas?"
Answer: An upgrade should be something you plan out, as your customizations may need to be re-integrated into the changed files. We recommend that you set some time on your calendar for doing your upgrade when your website is the least busy. For many merchants their busiest season is November-December but January is slower, so doing it in January is an ideal time for such merchants.



Source link

Contact